<template>
<div class="addlist">
    <div class="top">
      <div style="height:60rpx"></div>
      <div class="item">您当前可用积分</div>
      <div class="item1">{{currentAvailablePoints}}</div>
      <div class="item2">待取消积分</div>
      <div class="item3">{{expiringPoints}}</div>
      <div class="item4">* 当日消费所得积分将于次日展示</div>
    </div>
    <div class="down">
      <div class="list" v-for="(item,index) in datas" :key="index">
        <div class="left">
        <p>{{item.pointsName}}</p>
        <p class="date">{{item.pointsDate}}</p>
        </div>
        <div class="right">
          +{{item.points}}
          </div>
      </div>
      


    </div>
    <div class="footer">
    <v-footer :footer="'前往积分商城'" @footerEmit="enter"></v-footer>
    </div>
    <v-hintbox :hintbox="hintbox" @close="close"></v-hintbox>
  
</div>
</template>

<script type="text/ecmascript-6">
  import config from '@/config'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
  import store from '@/store'
  import hintbox from '@/components/hintbox/hintbox.vue'
  import footer from '@/components/footer/footer.vue'
//   import date from './date.vue'
  export default {
    data(){
      return{
        currentAvailablePoints:'',
        expiringPoints:'',
        datas:{},
        camRemarkes:'',
        camDate:'',
        camId:'',
        actConversionRate:'',
        actCosts:'',
         hintbox:{
          text :'',
          show : false
        },
         inputtime:[
          {
            text:'活动日期',
            placeholder: '请选择活动日期',
            value:null
          },
          
        ],

      }
    },
    components:{
     'v-hintbox':hintbox,
     'v-footer':footer
    },
    methods:{
      //前往积分商城
      enter(){
        config.href(config.shop.home);
      },
        getAjax(){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        VeevlinkClient(
          '/member/point/list?openId='+VerificationCodeEntity.OpenId + '&memberId='+memberId,
          'GET',
          '',
          function (data) {
            console.log(data);
            if(data.success){
              if(data.records[0]){
                that.datas = data.records;
              }else{
                
              }
              
            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
      }
    },
    onLoad(data){
       this.getAjax();
       this.currentAvailablePoints = data.currentAvailablePoints;
       this.expiringPoints = data.expiringPoints;
 
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
.addlist{
  .top{
    width:100%;
    height:4.53rem;
    border-bottom:1px solid #D2D2D3;
    div{
      color:#727171;
      font-size:0.28rem;
      text-align:center;
    }
    .item{
      //margin-top:0.6rem;
    }
    .item1{
      margin-top:0.4rem;
    }
    .item2{
      margin-top:0.8rem;
    }
    .item3{
      margin-top:0.4rem;
    }
    .item4{
      margin-top:0.8rem;
      font-size:0.2rem;
    }
    
  }
  .down{
    .list{
      width:6.1rem;
      height:1.43rem;
      margin:0 0.7rem;
      border-bottom:1px solid #9FA0A0;
      display:flex;
      .left{
        p{
          margin-top:0.3rem;
          color:#727171;
          font-size:0.28rem;
        }
        .date{
          color:#000000;
          opacity:0.4;
          font-size:0.24rem;
        }
      }
      .right{
        position:absolute;
        right:0.7rem;
        height:1.43rem;
        line-height:1.43rem;
        color:#333333;
      }
    }
  }
  .footer{
    position:absolute;
    bottom:0.28rem;
  }
  
}
</style>
